KDE 4.5 PyKDE API Reference

- KDE's Python API

# DownloadRegionDialog Class Reference

`from PyKDE4.marble import *`

Inherits: QDialog → QWidget → QObject
Namespace: Marble.DownloadRegionDialog

## Detailed Description

## Enumerations

SelectionMethod | { VisibleRegionMethod, SpecifiedRegionMethod }

## Signals

| applied ()
| hidden ()
| shown ()

## Methods

| __init__ (self, Marble.MarbleModel model, QWidget parent=0, Qt::WindowFlags f=0)
| applied (self)
| hidden (self)
| hideEvent (self, QHideEvent event)
Marble.TileCoordsPyramid | region (self)
| setAllowedTileLevelRange (self, int minimumTileLevel, int maximumTileLevel)
| setSelectionMethod (self, Marble.DownloadRegionDialog.SelectionMethod a0)
| setSpecifiedLatLonAltBox (self, Marble.GeoDataLatLonAltBox a0)
| setVisibleLatLonAltBox (self, Marble.GeoDataLatLonAltBox a0)
| setVisibleTileLevel (self, int tileLevel)
| showEvent (self, QShowEvent event)
| shown (self)
| updateTextureLayer (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | model,
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

applied | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("applied()"), target_slot)`

hidden | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("hidden()"), target_slot)`

hideEvent | ( | self, |
|  | QHideEvent | event
| ) |  |  |

Marble.TileCoordsPyramid region | ( |  | self ) |

setAllowedTileLevelRange | ( | self, |
|  | int | minimumTileLevel,
|  | int | maximumTileLevel
| ) |  |  |

setSelectionMethod | ( | self, |
|  | Marble.DownloadRegionDialog.SelectionMethod | a0
| ) |  |  |

setSpecifiedLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

setVisibleLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

setVisibleTileLevel | ( | self, |
|  | int | tileLevel
| ) |  |  |

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |

shown | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("shown()"), target_slot)`

updateTextureLayer | ( |  | self ) |

## Enumeration Documentation

SelectionMethod

Enumerator:

  VisibleRegionMethod |
  SpecifiedRegionMethod |